/**
 * \file gre/uigeolock.h
 * \brief User Interface classes for GRE_GEOLOCKSETTINGS.
 *
 * \if NODOC
 * $Id: uigeolock.h_v 1.6 2011/11/28 17:22:26 mju Exp $
 *
 * $Log: uigeolock.h_v $
 * Revision 1.6  2011/11/28 17:22:26  mju
 * Fix dox dependencies.
 *
 * Revision 1.5  2005/10/17 20:39:04  mju
 * Use gre namespace.
 *
 * Revision 1.4  2003/12/15 21:39:32  mju
 * Use dlgshell.
 *
 * Revision 1.3  2003/09/15 13:48:59  fileserver!dwilliss
 * Doxygen
 *
 * Revision 1.2  2003/07/30 15:40:42  mju
 * Ignore private sections.
 *
 * Revision 1.1  2002/12/16 15:06:53  mju
 * Initial revision
 * \endif
**/

#ifndef	INC_GRE_UIGEOLOCK_H
#define	INC_GRE_UIGEOLOCK_H

#ifndef	INC_GRE_GEOLOCK_H
#include <gre/geolock.h>
#endif

#ifndef	INC_MGUI_DLGSHELL_H
#include <mgui/dlgshell.h>
#endif

#ifndef	INC_MGUI_FORM_H
#include <mgui/form.h>
#endif

namespace GRE {
//===================================================================================================================
//!	Form for modifying GEOLOCKSETTINGS.
class GEOLOCKSETTINGS::FORM : public MGUI::FORM_COMPOSITE {
	public:

		//! Constructor.
		FORM (
			);

		//! Destructor.
		virtual ~FORM (
			);

		//! Create the form.
		void Create (
			MGUI::LAYOUT_PANE_BASE& ParentPane
			);

		//! Get current value settings.
		const GEOLOCKSETTINGS& GetValues (
			) const;

		//! Set new values.
		ERRVALUE SetValues (
			const GEOLOCKSETTINGS& values		//!< New values to set
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		class PRIV;
		PRIV *m_pPriv;
		#endif //!< GENERATING_DOXYGEN_OUTPUT
	};
		

//===================================================================================================================
//! Dialog for modifying GEOLOCKSETTINGS.
class GEOLOCKSETTINGS::DLG : public MGUI::DLGSHELL {
	public:

		//! Constructor.
		DLG (
			);

		//! Destructor.
		virtual ~DLG (
			);

		const GEOLOCKSETTINGS& GetValues (
			) { return (m_form.GetValues()); }

		ERRVALUE SetValues (
			const GEOLOCKSETTINGS& values
			) { return (m_form.SetValues(values)); }

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		GEOLOCKSETTINGS::FORM m_form;

		virtual ERRVALUE v_CreateContent ();
		#endif // GENERATING_DOXYGEN_OUTPUT
	};

//===================================================================================================================
}	// End namespace GRE

#endif	// INC_GRE_UIGEOLOCK_H
