/******************************************************************************
 * \file mi32/cssproperties.h
 * \brief CSS property definition macros
 *
 * $Log: cssproperties.h_v $
 * Revision 1.8  2007/08/30 17:43:29  dwilliss
 * added new property
 *
 * Revision 1.7  2007/08/29 21:04:59  dwilliss
 * added more properties
 *
 * Revision 1.6  2007/08/29 15:47:10  dwilliss
 * *** empty log message ***
 *
 * Revision 1.5  2007/08/28 20:12:30  dwilliss
 * *** empty log message ***
 *
 * Revision 1.4  2007/07/26 21:28:46  dwilliss
 * added mi-tab-stop
 *
 * Revision 1.3  2007/07/06 14:43:56  dwilliss
 * added text-transform
 *
 * Revision 1.2  2007/06/06 17:54:47  dwilliss
 * *** empty log message ***
 *
 * Revision 1.1  2007/05/30 22:40:07  dwilliss
 * Initial revision
 *
 **/

#if !defined(INC_MI32_CSSPROPERTIES_H) || defined(GENERATE_CSS_PROPERTIES_MAP)

class MISTRING;


#ifdef GENERATE_CSS_PROPERTIES_MAP

#define PROPERTY(x) DefineCSSProperty(#x, CSS_PROPERTY_##x);
#else
#define INC_MI32_CSSPROPERTIES_H
#define PROPERTY(x) CSS_PROPERTY_##x,


namespace HTML {
enum CSS_PROPERTY {

#endif

	PROPERTY(NONE)
	PROPERTY(font)
	PROPERTY(font_family)
	PROPERTY(font_size)
	PROPERTY(font_style)
	PROPERTY(font_variant)
	PROPERTY(font_weight)
	PROPERTY(letter_spacing)
	PROPERTY(line_height)
	PROPERTY(text_align)
	PROPERTY(text_decoration)
	PROPERTY(text_indent)
	PROPERTY(vertical_align)
	PROPERTY(whitespace)
	PROPERTY(white_space)
	PROPERTY(word_wrap)
	PROPERTY(color)
	PROPERTY(background)
	PROPERTY(background_attachment)
	PROPERTY(background_position_x)
	PROPERTY(background_position_y)
	PROPERTY(background_position)
	PROPERTY(background_repeat)
	PROPERTY(background_color)
	PROPERTY(background_image)
	PROPERTY(border)
	PROPERTY(border_bottom)
	PROPERTY(border_bottom_color)
	PROPERTY(border_bottom_style)
	PROPERTY(border_bottom_width)
	PROPERTY(border_collapse)
	PROPERTY(border_left)
	PROPERTY(border_left_color)
	PROPERTY(border_left_style)
	PROPERTY(border_left_width)
	PROPERTY(border_right)
	PROPERTY(border_right_color)
	PROPERTY(border_right_style)
	PROPERTY(border_right_width)
	PROPERTY(border_spacing)
	PROPERTY(border_top)
	PROPERTY(border_top_color)
	PROPERTY(border_top_style)
	PROPERTY(border_top_width)
	PROPERTY(border_color)
	PROPERTY(border_style)
	PROPERTY(border_width)
	PROPERTY(empty_cells)
	PROPERTY(margin)
	PROPERTY(margin_bottom)
	PROPERTY(margin_top)
	PROPERTY(margin_left)
	PROPERTY(margin_right)
	PROPERTY(padding)
	PROPERTY(padding_bottom)
	PROPERTY(padding_top)
	PROPERTY(padding_left)
	PROPERTY(padding_right)
	PROPERTY(clear)
	PROPERTY(cursor)
	PROPERTY(quotes)
	PROPERTY(content)
	PROPERTY(counter_increment)
	PROPERTY(counter_reset)
	PROPERTY(display)
	PROPERTY(float)
	PROPERTY(list_style)
	PROPERTY(list_style_position)
	PROPERTY(list_style_image)
	PROPERTY(list_style_type)
	PROPERTY(marker_offset)
	PROPERTY(top)
	PROPERTY(bottom)
	PROPERTY(left)
	PROPERTY(right)
	PROPERTY(width)
	PROPERTY(height)
	PROPERTY(clip)
	PROPERTY(overflow)
	PROPERTY(position)
	PROPERTY(text_transform)
	PROPERTY(visibility)
	PROPERTY(z_index)
	PROPERTY(column_number)
	PROPERTY(column_width)
	PROPERTY(column_gap)
	PROPERTY(columns)
	PROPERTY(column_rule_width)
	PROPERTY(column_rule_style)
	PROPERTY(column_rule_color)
	PROPERTY(column_rule)
	PROPERTY(column_span)
	PROPERTY(_mi_color2)
	PROPERTY(_mi_font_enhance_width)
	PROPERTY(_mi_font_stroke_width)
	PROPERTY(_mi_font_shadow)
	PROPERTY(_mi_font_round_width)
	PROPERTY(_mi_font_smoothing)
	PROPERTY(_mi_font_substitution)
	PROPERTY(_mi_font_kerning)
	PROPERTY(_mi_font_shear)
	PROPERTY(_mi_font_style)
	PROPERTY(_mi_block_width)
	PROPERTY(_mi_tab_stop)
	PROPERTY(_mi_open_type_features)
	PROPERTY(NUM_PROPERTIES)


#ifndef GENERATE_CSS_PROPERTIES_MAP

	};

CSS_PROPERTY LookupCSSProperty(const MISTRING&);
}	// end of HTML namespace
#endif

#undef PROPERTY


#endif	// INC_MI32_CSSPROPERTIES_H
