/**
 * \file mi32/xtabpage.h
 * \brief Tab Page support for X
 *
 * \if NODOC
 * $Id: xtabpage.h_v 1.2 2011/11/28 17:46:01 mju Exp $
 *
 * $Log: xtabpage.h_v $
 * Revision 1.2  2011/11/28 17:46:01  mju
 * Fix dox dependencies.
 *
 * Revision 1.1  2006/09/20 17:54:36  mju
 * Initial revision
 * \endif
**/

#ifndef	INC_MI32_XTABPAGE_H
#define	INC_MI32_XTABPAGE_H

#ifndef	INC_MI32_STDDEFNS_H
#include <mi32/stddefns.h>
#endif

/*----------------------------------------------------------------------------*/
/*		TABPAGE definitions																		*/
/*----------------------------------------------------------------------------*/

typedef void (*TABPAGEFUNC) (Widget, int, void*);

struct MxTABPAGEITEM {
   char *label;
	UINT32 flags;
	TABPAGEFUNC  create;
	TABPAGEFUNC  activate;
	TABPAGEFUNC  deactivate;
	TABPAGEFUNC  destroy;
	void *pageUserData;
   };

#define	MxTABPAGE_DISABLED		0x0001	//!< TabPage is initially disabled
#define	MxTABPAGE_FreeLabel		0x0002	//!< TabPage will free the allocated label 
#define	MxTABPAGE_LabelUnicode	0x0004	//!< Label is pointer to Unicode string

#endif	// INC_MI32_XTABPAGE_H
